API reference
=============

.. module:: aiointercept

The public API is re-exported from the top-level ``aiointercept`` package.

The mock
--------

.. autoclass:: aiointercept.aiointercept
   :members:
   :undoc-members:
   :member-order: bysource

Registered mocks
----------------

.. autoclass:: aiointercept.MockResponse
   :members:
   :undoc-members:

Callbacks
---------

.. autoclass:: aiointercept.CallbackResult
   :members:
   :undoc-members:

Requests
--------

.. autoclass:: aiointercept.AiointerceptRequest
   :members:
   :undoc-members:
   :show-inheritance:
